////////////
///HUD class
//////////// 

Class grabinHUD extends HudBDeathMatch;

//a variable to hold our logo
var texture xHair;
var Shader xHairG1, xHairG2, xHairG3, xHairG4, xHairG5, xHairG6, xHairG7, xHairG8;
var int counter; //animates the crosshair fade

function DrawHud(Canvas c)
{
    local color tempColor;
    local byte tempstyle;
	
    tempColor = c.DrawColor;
    tempstyle = c.Style;

    c.DrawColor=WhiteColor;
    c.Style=ERenderStyle.STY_Additive;
	
    if ( grabinPawn(PawnOwner).gestureInv.isinState('holdProjAttack') )
    {
	c.SetPos( c.ClipX/2-16, c.ClipY/2-16 );
	c.DrawIcon(xHair,0.5);	
	if (grabinPawn(PawnOwner).gestureInv.countDown
	 	<= grabinPawn(PawnOwner).gestureInv.holdTime)
	{
		c.SetPos( c.ClipX/2 + 16, c.ClipY/2 + 16 );
		c.DrawText(grabinPawn(PawnOwner).gestureInv.countDown, true);
	}
    }
    if ( grabinPRI(grabinPawn(PawnOwner).PlayerReplicationInfo).stoppedFire )
    {
    	c.SetPos( c.ClipX/2-16, c.ClipY/2-16 );
    	if (counter <= 5)
		c.DrawTileScaled(xHairG1,0.5,0.5);
	if (5 < counter && counter <= 7)
		c.DrawTileScaled(xHairG2,0.5,0.5);
	if (7 < counter && counter <= 9)
		c.DrawTileScaled(xHairG3,0.5,0.5);
	if (9 < counter && counter <= 11)
		c.DrawTileScaled(xHairG4,0.5,0.5);
	if (11 < counter && counter <= 13)
		c.DrawTileScaled(xHairG5,0.5,0.5);
	if (13 < counter && counter <= 15)
		c.DrawTileScaled(xHairG6,0.5,0.5);
	if (15 < counter && counter <= 17)
		c.DrawTileScaled(xHairG7,0.5,0.5);
	if (counter >= 180)
	{
		c.DrawTileScaled(xHairG8,0.5,0.5);
		counter = -1;
		grabinPRI(grabinPawn(PawnOwner).PlayerReplicationInfo).stoppedFire = false;
	}
	counter++;
    }
	
    //DrawDebug(c);

    c.DrawColor = tempColor;//restore values
    c.Style = tempstyle;
}

/*function DrawDebug(Canvas c)
{
	c.SetPos( 193,44 );
	
   	c.DrawText(grabinPRI(PlayerController(PawnOwner.Controller)
   			.PlayerReplicationInfo).debugStr, true);
   	c.SetPos(193,90);
   	c.DrawText("HOLDING " $ grabinPawn(PawnOwner).gestureInv.isInstate('holdProjAttack'), true);
   	c.SetPos(193,110);
   	c.DrawText("DRAWING " $ grabinPawn(PawnOwner).gestureInv.isInstate('gesturing'), true);
   	c.SetPos(193,130);
   	c.DrawText("COUNTDOWN " $ grabinPawn(PawnOwner).gestureInv.countDown, true);
}*/

function bool CustomCrosshairsAllowed()
{
	return false;
}

function bool CustomCrosshairColorAllowed()
{
	return false;
}

function bool CustomHUDColorAllowed()
{
	return false;
}

defaultproperties
{
     counter=0
     xHair=Texture'grabinSword.gestureCur.handXhair'
     xHairG1=Shader'grabinSword.gestureCur.c1'
     xHairG2=Shader'grabinSword.gestureCur.c2'
     xHairG3=Shader'grabinSword.gestureCur.c3'
     xHairG4=Shader'grabinSword.gestureCur.c4'
     xHairG5=Shader'grabinSword.gestureCur.c5'
     xHairG6=Shader'grabinSword.gestureCur.c6'
     xHairG7=Shader'grabinSword.gestureCur.c7'
     xHairG8=Shader'grabinSword.gestureCur.c8'
}
